<?php
/**
 * 五十九秒网络购物cms 分类信息实体类
 * ============================================================================
 * 版权所有 2009-2012 五十九秒网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.59miao.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: longzhang
 * 
*/
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
class CategoryModel extends Model {
	private $_apiaction='';
	public function __construct() {
		parent::__construct();	
		$this->_apiaction=new ApiModel();	
	}
	public function total() {
		//判断获取的数据是B2C的还是淘宝的
		$tab=isset($_GET['tab'])?$_GET['tab']:null;
		switch ($tab){
			case 'b2c':
				$total=$this->getItemList();		
				return $total['total'];
				break;
			case 'tao':
				$total=$this->_apiaction->getItemListTao();
				return $total['total'];
				break;
			default:
				$total=$this->getItemList();		
				return $total['total'];
				break;
		}
	}
	public function getItemList(){
		return $this->_apiaction->getItemList();		
	}
	public function getItemListTao(){
		return $this->_apiaction->getItemListTao();
	}
	public function GetItemCatParent(){
		return $this->_apiaction->GetItemCatParent();
	}
	public function GetTaoItemCatParent(){
		return $this->_apiaction->GetTaoItemCatParent();
	}
}
?>